package com.mobai.controller;

import com.mobai.domain.MqttServerModel;
import com.mobai.domain.Result;
import com.mobai.domain.VehicleConnectionReq;
import com.mobai.service.FluxGetInfoService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @ClassName FluxGetInfo
 * @Description 描述
 * @Author Mobai
 * @Date 2024/5/28 22:00
 */
@RestController
@Log4j2
@RequestMapping("/fluxmq")
public class FluxGetInfoController {
    @Autowired
    private FluxGetInfoService fluxGetInfoService;

    @GetMapping("/getInfo")
    public Result getInfo(){
        return fluxGetInfoService.getInfo(null);
    }

    @GetMapping("/getIps")
    public Result<List<MqttServerModel>> getIps(){
        return fluxGetInfoService.getIps();
    }

    @PostMapping("/getIp")
    public Result vehicleConnection(@RequestBody(required = false) VehicleConnectionReq req){
        return fluxGetInfoService.vehicleConnection(req);
    }
}
